POST
https://api.stableyard.fi
/
sdk
/
v1
/
get-balance
curl -X POST https://api.stableyard.fi/sdk/v1/get-balance \
  -H "Authorization: Basic $(echo -n $STABLEYARD_APP_ID:$STABLEYARD_APP_SECRET | base64)" \
  -H "Content-Type: application/json" \
  -d '{
    "userId": "user_abc123def456"
  }'
{
  "success": true,
  "data": {
    "balance": "1250.50",
    "balanceRaw": "1250500000",
    "decimals": 6
  },
  "requestId": "req_xyz789"
}
Check a Money Account’s vault balance on a specific chain. Defaults to Polygon USDC if no chain is specified.

Authentication

Authorization
string
required
Basic authentication. Value: Basic base64(STABLEYARD_APP_ID:STABLEYARD_APP_SECRET). Obtain your credentials from the Stableyard SDK.

Body Parameters

userId
string
Money Account’s unique identifier. One of userId, paymentAddress, or address is required.
paymentAddress
string
Payment address (e.g., alice@stableyard)
address
string
Wallet or vault address
chainType
string
Chain type: “evm”, “solana”, or “aptos” (default: evm/Polygon)

Response

success
boolean
Indicates if the request was successful
data
object
Balance data
curl -X POST https://api.stableyard.fi/sdk/v1/get-balance \
  -H "Authorization: Basic $(echo -n $STABLEYARD_APP_ID:$STABLEYARD_APP_SECRET | base64)" \
  -H "Content-Type: application/json" \
  -d '{
    "userId": "user_abc123def456"
  }'
{
  "success": true,
  "data": {
    "balance": "1250.50",
    "balanceRaw": "1250500000",
    "decimals": 6
  },
  "requestId": "req_xyz789"
}